package com.kddi.helpers.util;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class StopWatch
{
  private static final Logger log = LoggerFactory.getLogger(StopWatch.class);
  private long startTime, endTime;
  private String title;

  public StopWatch()
  {
    this.startTime = endTime = 0L;
    this.title = "";
  }

  public void initialize(String title)
  {
    this.startTime = this.endTime = 0L;
    this.title = title;
  }

  public void start()
  {
    this.startTime = System.nanoTime();
  }

  public void end()
  {
    this.endTime = System.nanoTime();

    double elapsed = (double) (this.endTime - this.startTime);
    log.debug("HELPER: process: {} ,elapsed: {} secs", this.title, elapsed / 1000000000.0);
  }
}
